import React from 'react';
import { RoomInfo } from '@zocks-communications/client-sdk-js';
import { JoinOptions } from '../../store';
import { AudioControlButtonProps, VideoControlButtonProps } from '../RoomControls';
import './JoinPage.scss';
import { VirtualBackgroundSelectorProps } from '../VirtualBackgroundSelector';
export declare const JoinPage: React.FC<{
    joinAction: (joinOptions: JoinOptions) => void;
    createRoomAction: () => Promise<RoomInfo>;
    initialRoomId?: string;
    joinText?: string;
    newMeetingText?: string;
    createNewMeetingText?: string;
    newMeetingDisabled?: boolean;
    roomIdInputLabel?: string;
    roomIdInputErrorLabel?: string;
    roomIdInputDisabled?: boolean;
    roomIdPlaceholder?: string;
    videoEnabledByDefault?: boolean;
    audioEnabledByDefault?: boolean;
    onNewRoomCreated?: (roomInfo: RoomInfo) => void;
    dividerText?: string;
    controlsHeaderElement?: string | JSX.Element;
    disabledVideoElement?: string | JSX.Element;
    audioControlButtonElement?: React.FC<AudioControlButtonProps>;
    videoControlButtonElement?: React.FC<VideoControlButtonProps>;
    virtualBackgroundSelectorElement?: React.FC<VirtualBackgroundSelectorProps>;
    joinOptions?: Partial<JoinOptions>;
}>;
