import { VirtualBackgroundConfig, VirtualBackgroundType } from '@zocks-communications/client-sdk-js';
import { ZocksMediaActions } from '../../store';
export declare const useRoomControls: (mediaActions: ZocksMediaActions) => {
    audioIsOn: boolean;
    videoIsOn: boolean;
    isScreenSharing: boolean;
    isLocalScreenShare: boolean;
    currentAudioDeviceId: string | null;
    currentVideoDeviceId: string | null;
    toggleAudio: () => void;
    toggleVideo: () => void;
    toggleScreenShare: () => void;
    selectAudioDevice: (audioDevice: MediaDeviceInfo) => void;
    selectVideoDevice: (videoDevice: MediaDeviceInfo) => void;
};
export declare const useVirtualBackgrounds: (mediaActions: ZocksMediaActions, config?: VirtualBackgroundConfig) => {
    availableBackgrounds: VirtualBackgroundType.BLUR[];
    currentVirtualBackground: VirtualBackgroundType | null;
    virtualBackgroundIsLoading: boolean;
    changeVirtualBackground: (virtualBackgroundType: VirtualBackgroundType | null) => void;
};
