import { PayloadAction } from '@reduxjs/toolkit';
import { RootState } from '../../app/store';
import { ParticipantTranscriptModel, SessionTranscriptModel } from './models';
import { RemoveParticipantTranscriptionAction, TranscriptionReceivedAction } from './actionModels';
export declare const transcriptSlice: import("@reduxjs/toolkit").Slice<SessionTranscriptModel, {
    transcriptionReceived: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<TranscriptionReceivedAction>) => void;
    setTranscriptionServiceEnabled: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<boolean>) => void;
    setTranscriptionServiceIsLoading: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<boolean>) => void;
    setTranscriptionInProgress: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<boolean>) => void;
    clearTranscription: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>) => void;
    clearRemoteParticipantTranscription: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<RemoveParticipantTranscriptionAction>) => void;
}, "transcript">;
export declare const clearRemoteParticipantTranscription: import("@reduxjs/toolkit").ActionCreatorWithPayload<RemoveParticipantTranscriptionAction, string>, clearTranscription: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<string>, setTranscriptionServiceEnabled: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, string>, setTranscriptionServiceIsLoading: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, string>, setTranscriptionInProgress: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, string>, transcriptionReceived: import("@reduxjs/toolkit").ActionCreatorWithPayload<TranscriptionReceivedAction, string>;
export declare const selectTranscriptionServiceIsEnabled: (state: RootState) => boolean;
export declare const selectTranscriptionServiceIsLoading: (state: RootState) => boolean;
export declare const selectTranscriptionInProgress: (state: RootState) => boolean;
export declare const selectTranscripts: (state: RootState) => {
    [id: string]: ParticipantTranscriptModel;
};
export declare const selectParticipantTranscripts: (state: RootState, participantId: string) => ParticipantTranscriptModel;
declare const _default: import("redux").Reducer<SessionTranscriptModel, import("redux").AnyAction>;
export default _default;
