import React from 'react'
import { ParticipantsViewType } from '../../../store'
import { useViewSwitcher } from './hooks'
import './ViewSwitcher.scss'

export const ViewSwitcher: React.FC = () => {
  const { currentView, changeView } = useViewSwitcher()

  return (
    <div className='view-switcher__buttons-container'>
      <button
        className='view-switcher__button'
        onClick={() => changeView(ParticipantsViewType.Grid)}
        disabled={currentView === ParticipantsViewType.Grid}
        aria-label='Change to grid view'
      >
        <div className='view-switcher__grid-icon' />
      </button>
      <button
        className='view-switcher__button'
        onClick={() => changeView(ParticipantsViewType.Speaker)}
        disabled={currentView === ParticipantsViewType.Speaker}
        aria-label='Change to speaker view'
      >
        <div className='view-switcher__speaker-icon' />
      </button>
    </div>
  )
}
