import React from 'react'
import { ParticipantsListElementProps, ParticipantsListProps } from '../model'
import '../ParticipantsList.scss'

export const ParticipantsList: React.FC<ParticipantsListProps> = ({ participants, dismiss, participantElement }) => {
  const ParticipantElement = participantElement ?? SimpleParticipantsListElement

  return (
    <div className='participants-list'>
      {dismiss && (
        <div className='participants-list__dismiss-button'>
          <button onClick={dismiss} aria-label='Dismiss' />
        </div>
      )}
      <div className='participants-list__participants-container'>
        {participants.map((participant) => {
          return <ParticipantElement key={participant.id} participant={participant} />
        })}
      </div>
    </div>
  )
}

export const SimpleParticipantsListElement: React.FC<ParticipantsListElementProps> = ({ participant }) => {
  return (
    <div className='participants-list__participant-container'>
      <div className='participants-list__participant-avatar'>{participant.name?.slice(0, 1) || ''}</div>
      <div className='participants-list__participant-name'>{participant.name}</div>
    </div>
  )
}
