import { ZocksMediaActions } from '../../store'
import React from 'react'
import { VirtualBackgroundSelectorProps } from '../VirtualBackgroundSelector'

export interface RoomControlsProps {
  mediaActions: ZocksMediaActions
  leaveAction: () => void
  audioControlButtonElement?: React.FC<AudioControlButtonProps>
  videoControlButtonElement?: React.FC<VideoControlButtonProps>
  screenShareControlButtonElement?: React.FC<ScreenShareControlButtonProps>
  leaveButtonElement?: React.FC<LeaveButtonProps>
  virtualBackgroundSelectorElement?: React.FC<VirtualBackgroundSelectorProps>
}

interface MediaDeviceSelectButtonProps {
  currentDeviceId: string | null
  onDeviceSelected: (mediaDeviceInfo: MediaDeviceInfo) => void
}

interface AudioToggleButtonProps {
  audioIsOn: boolean
  toggleAudio: () => void
}

interface VideoToggleButtonProps {
  videoIsOn: boolean
  toggleVideo: () => void
  videoIsLoading?: boolean
}

export type AudioControlButtonProps = AudioToggleButtonProps & Partial<MediaDeviceSelectButtonProps>

export type VideoControlButtonProps = VideoToggleButtonProps &
  Partial<MediaDeviceSelectButtonProps & VirtualBackgroundSelectorProps>

export interface ScreenShareControlButtonProps {
  isScreenSharing: boolean
  isLocalScreenShare: boolean
  toggleScreenShare: () => void
}

export interface LeaveButtonProps {
  leaveAction: () => void
}
