import React from 'react'
import { useParticipant } from '../../store'
import { Video } from '../Media'
import { ScreenShareProps } from '../Participant'
import './ScreenShare.scss'

export const ScreenShare: React.FC<ScreenShareProps> = ({ participant }) => {
  const {
    tracks: { screenShareTrack },
  } = useParticipant(participant)

  return (
    <div className='screen-share'>
      {screenShareTrack && screenShareTrack.isSubscribed && <Video videoStream={screenShareTrack.track} />}
    </div>
  )
}
