import React from 'react'
import { SelectMenuElementProps } from '../../../components'

export const createAudioControlMenu =
  (): React.FC<SelectMenuElementProps> =>
  ({ menuItems, onMenuItemClick }) => {
    return (
      <div className='select-button__popover-container'>
        <ul className='select-button__popover-list'>
          <li className='select-button__popover-item audio-settings-menu-item'>Microphone Settings</li>
          {menuItems.length > 0
            ? menuItems.map((item, i) => {
                return (
                  <li className='select-button__popover-item' key={i} onClick={() => onMenuItemClick(item)}>
                    {item.label}
                    {item.selected ? <i className='icon-check-mark' /> : null}
                  </li>
                )
              })
            : null}
        </ul>
      </div>
    )
  }
