import { JoinOptions, ZocksActions } from '../../../store'
import React from 'react'
import {
  AudioControlButtonProps,
  LeaveButtonProps,
  ParticipantProps,
  ScreenShareControlButtonProps,
  VideoControlButtonProps,
} from '../../../components'

export interface JoinButtonProps {
  joinAction: (joinOptions: JoinOptions) => void
  joinOptions: JoinOptions
  isConnecting: boolean
}

export interface FullScreenButtonProps {
  isInFullscreen: boolean
  toggleFullscreen: () => void
}

export interface OneOnOneParticipantProps {
  zocksActions: ZocksActions
  roomId: string
  emptyJoinPageText?: string
  participantNameHidden?: boolean
  emptyRemoteParticipantText?: string
  joinButtonElement?: React.FC<JoinButtonProps>
  joinLoaderElement?: React.FC
  localParticipantElement?: React.FC<ParticipantProps>
  remoteParticipantElement?: React.FC<ParticipantProps>
  audioControlButtonElement?: React.FC<AudioControlButtonProps>
  videoControlButtonElement?: React.FC<VideoControlButtonProps>
  screenShareControlButtonElement?: React.FC<ScreenShareControlButtonProps>
  leaveButtonElement?: React.FC<LeaveButtonProps>
  fullScreenButtonElement?: React.FC<FullScreenButtonProps>
}
